# Upload image payment link

Add an image to the payment link.

⚠️ Note: File upload may not work here due to documentation limitations.
Try using Postman or curl to test it properly.

⚠️ Note: It will not be possible to update the image if there is a sale on the payment link

Endpoint: PATCH /payment-links/upload-image/{paymentLinkId}
Version: 1.0

## Path parameters:

  - `paymentLinkId` (string, required)

## Header parameters:

  - `x-api-key` (string, required)
    Api key provided on integrations tab in Easyflow platform.

  - `x-api-secret` (string, required)
    Api Secret provided on integrations tab in Easyflow platform.

  - `business-id` (string, required)
    Business Identifier

## Request fields (multipart/form-data):

  - `picture` (string)
    PNG, JPEG or JPG file to upload

## Response 200 fields (application/json):

  - `statusCode` (integer)
    Example: 200

  - `data` (object)

  - `data.image` (object)

  - `data.image.name` (string)

  - `data.image.path` (string)

  - `data.image.url` (string)

  - `data.image.isPublic` (boolean)

  - `data.image.extension` (string)

## Response 400 fields (application/json):

  - `message` (string)
    Invalid param: []
    Example: "Invalid param: []"

  - `error` (string)
    Bad Request
    Example: "Bad Request"

  - `statusCode` (integer)
    400
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Invalid field
    Example: "Unauthorized"

  - `error` (string)
    Unauthorized
    Example: "Unauthorized"

  - `statusCode` (integer)
    401
    Example: 401

## Response 403 fields (application/json):

  - `message` (string)
    Forbidden resource
    Example: "Forbidden resource"

  - `error` (string)
    Forbidden
    Example: "Forbidden"

  - `statusCode` (integer)
    403
    Example: 403

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "Internal server error"

  - `error` (string)
    Internal Server Error
    Example: "Internal Server Error"

  - `statusCode` (integer)
    500
    Example: 500


